Package org.springframework.aot.hint.annotation

# Class RegisterReflectionReflectiveProcessor

java.lang.Object
org.springframework.aot.hint.annotation.RegisterReflectionReflectiveProcessor

All Implemented Interfaces:
  `ReflectiveProcessor`

public class RegisterReflectionReflectiveProcessor extends Object implements ReflectiveProcessor
A `ReflectiveProcessor` implementation that pairs with `@RegisterReflection`. Can be used as a base implementation for composed annotations that are meta-annotated with `RegisterReflection`.

Since:
  6.2
Author:
  Stephane Nicoll

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`protected static final record`
`RegisterReflectionReflectiveProcessor.ReflectionRegistration`

## Constructor Summary

Constructors
Constructor
Description
`RegisterReflectionReflectiveProcessor()`

## Method Summary

Modifier and Type
Method
Description
`protected RegisterReflectionReflectiveProcessor.ReflectionRegistration`
`parse(AnnotatedElement element, RegisterReflection annotation)`
`protected void`
`registerReflectionHints(ReflectionHints hints, Class<?> target, MemberCategory[] memberCategories)`
`final void`
`registerReflectionHints(ReflectionHints hints, AnnotatedElement element)`
Register `ReflectionHints` against the specified `AnnotatedElement`.
`protected void`
`registerReflectionHints(ReflectionHints hints, RegisterReflectionReflectiveProcessor.ReflectionRegistration registration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RegisterReflectionReflectiveProcessor

public RegisterReflectionReflectiveProcessor()

## Method Details

### registerReflectionHints

public final void registerReflectionHints(ReflectionHints hints, AnnotatedElement element)
Description copied from interface: `ReflectiveProcessor`
Register `ReflectionHints` against the specified `AnnotatedElement`.

Specified by:
  `registerReflectionHints` in interface `ReflectiveProcessor`
Parameters:
  `hints` - the reflection hints instance to use
  `element` - the element to process

### parse

protected RegisterReflectionReflectiveProcessor.ReflectionRegistration parse(AnnotatedElement element, RegisterReflection annotation)

### registerReflectionHints

protected void registerReflectionHints(ReflectionHints hints, RegisterReflectionReflectiveProcessor.ReflectionRegistration registration)

### registerReflectionHints

protected void registerReflectionHints(ReflectionHints hints, Class<?> target, MemberCategory[] memberCategories)